Get current consignado contract registration evidence
curl --request GET \
--url https://br-consignado-gw.sandbox.lerian.net/v1/consignado/contract-registrations/{numero_contrato} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://br-consignado-gw.sandbox.lerian.net/v1/consignado/contract-registrations/{numero_contrato}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://br-consignado-gw.sandbox.lerian.net/v1/consignado/contract-registrations/{numero_contrato}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://br-consignado-gw.sandbox.lerian.net/v1/consignado/contract-registrations/{numero_contrato}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"item": {
"artifacts": {
"biometrics_documents_pack": {
"blob_ref": "<string>",
"digest_sha256": "<string>",
"retrieval_uri": "<string>",
"size_bytes": 123,
"stored_at": "2023-11-07T05:31:56Z"
},
"signed_ccb": {
"blob_ref": "<string>",
"digest_sha256": "<string>",
"retrieval_uri": "<string>",
"size_bytes": 123,
"stored_at": "2023-11-07T05:31:56Z"
}
},
"composition": {
"composed_at": "2023-11-07T05:31:56Z",
"failure_code": "<string>",
"payload_sha256": "<string>",
"status": "complete"
},
"event": {
"event_id": "<string>",
"event_type": "<string>",
"schema_version": "<string>"
},
"numero_contrato": "<string>",
"outbox": {
"attempt_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"last_error_code": "<string>",
"outbox_id": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"status": "<string>"
},
"position": "<string>",
"registration": {
"attachment_hash_operacao": "<string>",
"confirmed_at": "2023-11-07T05:31:56Z",
"dataprev_success_code": "<string>",
"rail_reference": "<string>"
}
},
"observed_at": "2023-11-07T05:31:56Z"
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Get current consignado contract registration evidence
Returns one current, tenant-scoped observation without moving an inventory cursor.
GET
/
v1
/
consignado
/
contract-registrations
/
{numero_contrato}
Get current consignado contract registration evidence
curl --request GET \
--url https://br-consignado-gw.sandbox.lerian.net/v1/consignado/contract-registrations/{numero_contrato} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://br-consignado-gw.sandbox.lerian.net/v1/consignado/contract-registrations/{numero_contrato}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://br-consignado-gw.sandbox.lerian.net/v1/consignado/contract-registrations/{numero_contrato}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://br-consignado-gw.sandbox.lerian.net/v1/consignado/contract-registrations/{numero_contrato}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"item": {
"artifacts": {
"biometrics_documents_pack": {
"blob_ref": "<string>",
"digest_sha256": "<string>",
"retrieval_uri": "<string>",
"size_bytes": 123,
"stored_at": "2023-11-07T05:31:56Z"
},
"signed_ccb": {
"blob_ref": "<string>",
"digest_sha256": "<string>",
"retrieval_uri": "<string>",
"size_bytes": 123,
"stored_at": "2023-11-07T05:31:56Z"
}
},
"composition": {
"composed_at": "2023-11-07T05:31:56Z",
"failure_code": "<string>",
"payload_sha256": "<string>",
"status": "complete"
},
"event": {
"event_id": "<string>",
"event_type": "<string>",
"schema_version": "<string>"
},
"numero_contrato": "<string>",
"outbox": {
"attempt_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"last_error_code": "<string>",
"outbox_id": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"status": "<string>"
},
"position": "<string>",
"registration": {
"attachment_hash_operacao": "<string>",
"confirmed_at": "2023-11-07T05:31:56Z",
"dataprev_success_code": "<string>",
"rail_reference": "<string>"
}
},
"observed_at": "2023-11-07T05:31:56Z"
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Authorizations
JWT bearer token issued by the identity provider.
Path Parameters
Exact Dataprev contract number; it is never trimmed or normalized.
Required string length:
2 - 15Was this page helpful?

